## TeplPanelStack TeplPanelStack — Side or bottom panel container based on GtkStack |

## Functions

TeplPanelStack * | tepl_panel_stack_new ()
TeplPanelSimple * | tepl_panel_stack_get_panel_simple ()
GtkStack * | tepl_panel_stack_get_stack ()

## Types and Values

struct | TeplPanelStack

## Object Hierarchy

        GObject
        ╰── TeplPanelStack

## Includes

    #include <tepl/tepl.h>

## Description

TeplPanelStack is a side or bottom panel container. It combines TeplPanelSimple and GtkStack.

## Functions

### tepl_panel_stack_new ()

    TeplPanelStack *
    tepl_panel_stack_new (TeplPanelSimple *panel_simple,
                          GtkStack *stack);

#### Parameters

panel_simple | a TeplPanelSimple, or `NULL` to create one. | [nullable]
stack | a GtkStack, or `NULL` to create one. | [nullable]

#### Returns

a new TeplPanelStack object.

[transfer full]

Since: 6.11

### tepl_panel_stack_get_panel_simple ()

    TeplPanelSimple *
    tepl_panel_stack_get_panel_simple (TeplPanelStack *panel_stack);

Gets the TeplPanelSimple of `panel_stack` .

It permits to alter the TeplPanelStack content through the TeplPanel functions.

#### Parameters

panel_stack | a TeplPanelStack. |

#### Returns

the TeplPanelSimple of `panel_stack` .

[transfer none]

Since: 6.11

### tepl_panel_stack_get_stack ()

    GtkStack *
    tepl_panel_stack_get_stack (TeplPanelStack *panel_stack);

Gets the GtkStack of `panel_stack` .

The GtkStack is exposed in the public API because it is useful for creating a GtkStackSwitcher.

If you need to alter the TeplPanelStack content, you must use `tepl_panel_stack_get_panel_simple()` instead.

#### Parameters

panel_stack | a TeplPanelStack. |

#### Returns

the GtkStack of `panel_stack` .

[transfer none]

Since: 6.11

## Types and Values

### struct TeplPanelStack

    struct TeplPanelStack;